import { AbstractControl, ValidationErrors, ValidatorFn } from '@angular/forms';
import { Layout, FieldContext, UxDynFormModel, UxFieldId, UxDynFormModelArray, ContainerContext } from './ux-dyn-core.model';
import { UxDynValidationErrorsClass } from './ux-dyn-validations.model';
export declare function uxDynFormControlGenerator(layout: Layout, context: FieldContext, fieldId?: UxFieldId): UxDynFormModel;
export declare function uxDynFormGroupGenerator(layout: Layout, context: FieldContext, children: UxDynFormModelArray, fieldId?: UxFieldId): UxDynFormModel;
export declare function uxDynFormArrayGenerator(layout: Layout, context: FieldContext, child: UxDynFormModel, fieldId?: UxFieldId): UxDynFormModel;
export declare function uxDynFormTupleGenerator(layout: Layout, context: FieldContext, children: UxDynFormModelArray, fieldId?: UxFieldId): UxDynFormModel;
export declare function uxDynContainerGenerator(layout: Layout, context: ContainerContext, children: UxDynFormModelArray, fieldId?: UxFieldId): UxDynFormModel;
export declare function uxDynFormGenerator(...formFields: UxDynFormModelArray): UxDynFormModelArray;
export declare function dynClientValidationGenerator(fn: ValidatorFn | any, message: string, severity: string): (c: AbstractControl) => null | ValidationErrors;
export declare function dynValidationErrorGenerator(message: string, severity: string): UxDynValidationErrorsClass;
